---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/04_Gazebo/Anim/Bg_Andrea/"
---------------------------------------------------------------------------------------
createCompositionall_anim = nil
createCompositionanim = nil
createCompositionanim_idel = nil
createCompositionidel_1 = nil
---------------------------------------------------------------------------------------
createCompositionall_anim = function()
	local compositionall_anim = CreateCompositionSequence()
	local compositionDuration = 20.8
	compositionall_anim:setDuration(compositionDuration)
	compositionall_anim:setName("compositionall_anim" )
	compositionall_anim:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer idel_1/3
	element = createCompositionidel_1()
	element:setName("idel_1/3")
	compositionall_anim:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionall_anim)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 20.875)
	effector:play()
 
	compositionall_anim:play()
 
	return compositionall_anim
end
 
createCompositionanim = function()
	local compositionanim = CreateCompositionSequence()
	local compositionDuration = 2.41666666666667
	compositionanim:setDuration(compositionDuration)
	compositionanim:setName("compositionanim" )
	compositionanim:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer big_finger.png/1
	element = CreateCompositionElement(PREFIX_PATH.."big_finger.png")
	element:setName("big_finger.png/1")
	compositionanim:addElement(element)
	element:setHotSpot(3, 3)
	compositionanim:registerParentInfo("big_finger.png/1", "kist_r.png/3")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 13.25)
	effector:setKey(_TRACK_Y, 0, 10.25)
	effector:setKey(_TRACK_X, 1.29166666666667, 13.25)
	effector:setKey(_TRACK_Y, 1.29166666666667, 10.25)
	effector:setKey(_TRACK_X, 1.66666666666667, 13.25)
	effector:setKey(_TRACK_Y, 1.66666666666667, 10.25)
	effector:setKey(_TRACK_X, 1.95833333333333, 13.25)
	effector:setKey(_TRACK_Y, 1.95833333333333, 10.25)
	effector:setKey(_TRACK_X, 2.375, 13.25)
	effector:setKey(_TRACK_Y, 2.375, 10.25)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.29166666666667, 1)
	effector:setKey(_TRACK_SY, 1.29166666666667, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0.35201882507023)
	effector:setKey(_TRACK_A, 1.29166666666667, 0)
	effector:setKey(_TRACK_A, 1.66666666666667, 0.35201882507023)
	effector:setKey(_TRACK_A, 1.95833333333333, -0.2981725831342)
	effector:setKey(_TRACK_A, 2.375, 0.35201882507023)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.29166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer uk_finger.png/2
	element = CreateCompositionElement(PREFIX_PATH.."uk_finger.png")
	element:setName("uk_finger.png/2")
	compositionanim:addElement(element)
	element:setHotSpot(6.5, 3.75)
	compositionanim:registerParentInfo("uk_finger.png/2", "kist_r.png/3")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 12.25)
	effector:setKey(_TRACK_Y, 0, 17.75)
	effector:setKey(_TRACK_X, 1.66666666666667, 12.25)
	effector:setKey(_TRACK_Y, 1.66666666666667, 17.75)
	effector:setKey(_TRACK_X, 1.95833333333333, 12.25)
	effector:setKey(_TRACK_Y, 1.95833333333333, 17.75)
	effector:setKey(_TRACK_X, 2.375, 12.25)
	effector:setKey(_TRACK_Y, 2.375, 17.75)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1.66666666666667, 0)
	effector:setKey(_TRACK_A, 1.95833333333333, -0.40914975037131)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer kist_r.png/3
	element = CreateCompositionElement(PREFIX_PATH.."kist_r.png")
	element:setName("kist_r.png/3")
	compositionanim:addElement(element)
	element:setHotSpot(4.5, 2.75)
	compositionanim:registerParentInfo("kist_r.png/3", "hand_r_2.png/6")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 4.25)
	effector:setKey(_TRACK_Y, 0, 20)
	effector:setKey(_TRACK_X, 1.29166666666667, 4.25)
	effector:setKey(_TRACK_Y, 1.29166666666667, 20)
	effector:setKey(_TRACK_X, 1.66666666666667, 4.25)
	effector:setKey(_TRACK_Y, 1.66666666666667, 20)
	effector:setKey(_TRACK_X, 1.95833333333333, 4.25)
	effector:setKey(_TRACK_Y, 1.95833333333333, 20)
	effector:setKey(_TRACK_X, 2.375, 4.25)
	effector:setKey(_TRACK_Y, 2.375, 20)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.29166666666667, 1)
	effector:setKey(_TRACK_SY, 1.29166666666667, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1.29166666666667, 0)
	effector:setKey(_TRACK_A, 1.66666666666667, 0)
	effector:setKey(_TRACK_A, 1.95833333333333, 0)
	effector:setKey(_TRACK_A, 2.16666666666667, 0.17614563192148)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.29166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer s_finger.png/4
	element = CreateCompositionElement(PREFIX_PATH.."s_finger.png")
	element:setName("s_finger.png/4")
	compositionanim:addElement(element)
	element:setHotSpot(5, 4.5)
	compositionanim:registerParentInfo("s_finger.png/4", "kist_r.png/3")
	element:setXY(8.25, 18.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:play()
 
 
	-- Layer hand_l_02.png/5
	element = CreateCompositionElement(PREFIX_PATH.."hand_l_02.png")
	element:setName("hand_l_02.png/5")
	compositionanim:addElement(element)
	element:setHotSpot(25.5, 7)
	compositionanim:registerParentInfo("hand_l_02.png/5", "gutari.png/7")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 101.25)
	effector:setKey(_TRACK_Y, 0, 60)
	effector:setKey(_TRACK_X, 0.25, 101.25)
	effector:setKey(_TRACK_Y, 0.25, 60)
	effector:setKey(_TRACK_X, 0.54166666666667, 101.25)
	effector:setKey(_TRACK_Y, 0.54166666666667, 60)
	effector:setKey(_TRACK_X, 0.91666666666667, 101.25)
	effector:setKey(_TRACK_Y, 0.91666666666667, 60)
	effector:setKey(_TRACK_X, 2.375, 101.25)
	effector:setKey(_TRACK_Y, 2.375, 60)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.25, 1)
	effector:setKey(_TRACK_SY, 0.25, 1)
	effector:setKey(_TRACK_SX, 0.54166666666667, 1.05076923076923)
	effector:setKey(_TRACK_SY, 0.54166666666667, 1)
	effector:setKey(_TRACK_SX, 0.91666666666667, 1)
	effector:setKey(_TRACK_SY, 0.91666666666667, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.25, 0.01855975604016)
	effector:setKey(_TRACK_A, 0.54166666666667, -0.0416352682906)
	effector:setKey(_TRACK_A, 0.91666666666667, 0)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.25, 1)
	effector:setKey(_TRACK_O, 0.54166666666667, 1)
	effector:setKey(_TRACK_O, 0.91666666666667, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer hand_r_2.png/6
	element = CreateCompositionElement(PREFIX_PATH.."hand_r_2.png")
	element:setName("hand_r_2.png/6")
	compositionanim:addElement(element)
	element:setHotSpot(10.5, 4.25)
	compositionanim:registerParentInfo("hand_r_2.png/6", "sleeve_r_2.png/10")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 6.5)
	effector:setKey(_TRACK_Y, 0, 52.75)
	effector:setKey(_TRACK_X, 1.29166666666667, 6.5)
	effector:setKey(_TRACK_Y, 1.29166666666667, 52.75)
	effector:setKey(_TRACK_X, 1.66666666666667, 6.62424424387501)
	effector:setKey(_TRACK_Y, 1.66666666666667, 57.7734015734226)
	effector:setKey(_TRACK_X, 1.875, 6.5)
	effector:setKey(_TRACK_Y, 1.875, 52.75)
	effector:setKey(_TRACK_X, 2.375, 6.5)
	effector:setKey(_TRACK_Y, 2.375, 52.75)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.29166666666667, 1)
	effector:setKey(_TRACK_SY, 1.29166666666667, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 0.90998756844786)
	effector:setKey(_TRACK_SX, 1.875, 1)
	effector:setKey(_TRACK_SY, 1.875, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1.29166666666667, 0)
	effector:setKey(_TRACK_A, 1.66666666666667, -1.65366872854473)
	effector:setKey(_TRACK_A, 1.875, 0.53143896838946)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.29166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.875, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer gutari.png/7
	element = CreateCompositionElement(PREFIX_PATH.."gutari.png")
	element:setName("gutari.png/7")
	compositionanim:addElement(element)
	element:setHotSpot(75.75, 4.75)
	element:setParentElement(compositionanim)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 582.75)
	effector:setKey(_TRACK_Y, 0, 294.75)
	effector:setKey(_TRACK_X, 1.29166666666667, 582.75)
	effector:setKey(_TRACK_Y, 1.29166666666667, 294.75)
	effector:setKey(_TRACK_X, 2.375, 582.75)
	effector:setKey(_TRACK_Y, 2.375, 294.75)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.29166666666667, 1)
	effector:setKey(_TRACK_SY, 1.29166666666667, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1.29166666666667, 0)
	effector:setKey(_TRACK_A, 1.66666666666667, -0.01879168920966)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.29166666666667, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer sleeve_l_2.png/8
	element = CreateCompositionElement(PREFIX_PATH.."sleeve_l_2.png")
	element:setName("sleeve_l_2.png/8")
	compositionanim:addElement(element)
	element:setHotSpot(5, 7)
	element:setParentElement(compositionanim)
	element:setXY(589, 300.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:play()
 
 
	-- Layer body.png/9
	element = CreateCompositionElement(PREFIX_PATH.."body.png")
	element:setName("body.png/9")
	compositionanim:addElement(element)
	element:setHotSpot(63, 122.5)
	element:setParentElement(compositionanim)
	element:setXY(563, 398.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:play()
 
 
	-- Layer sleeve_r_2.png/10
	element = CreateCompositionElement(PREFIX_PATH.."sleeve_r_2.png")
	element:setName("sleeve_r_2.png/10")
	compositionanim:addElement(element)
	element:setHotSpot(18, 5.5)
	element:setParentElement(compositionanim)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 541)
	effector:setKey(_TRACK_Y, 0, 308.5)
	effector:setKey(_TRACK_X, 1.29166666666667, 541)
	effector:setKey(_TRACK_Y, 1.29166666666667, 308.5)
	effector:setKey(_TRACK_X, 2.375, 541)
	effector:setKey(_TRACK_Y, 2.375, 308.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.29166666666667, 1)
	effector:setKey(_TRACK_SY, 1.29166666666667, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1.29166666666667, 0)
	effector:setKey(_TRACK_A, 1.66666666666667, 0.12439670104012)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.29166666666667, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer fase.png/11
	element = CreateCompositionElement(PREFIX_PATH.."fase.png")
	element:setName("fase.png/11")
	compositionanim:addElement(element)
	element:setHotSpot(20.75, 35.5)
	element:setParentElement(compositionanim)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 562.75)
	effector:setKey(_TRACK_Y, 0, 285.5)
	effector:setKey(_TRACK_X, 2.375, 562.75)
	effector:setKey(_TRACK_Y, 2.375, 285.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.33333333333333, 0.14269696285238)
	effector:setKey(_TRACK_A, 1.29166666666667, 0.14269696285238)
	effector:setKey(_TRACK_A, 1.875, -0.11992086489178)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer shadow.png/12
	element = CreateCompositionElement(PREFIX_PATH.."shadow.png")
	element:setName("shadow.png/12")
	compositionanim:addElement(element)
	element:setHotSpot(116, 96)
	element:setParentElement(compositionanim)
	element:setXY(500.5, 437.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:play()
 
	compositionanim:play()
 
	return compositionanim
end
 
createCompositionanim_idel = function()
	local compositionanim_idel = CreateCompositionSequence()
	local compositionDuration = 2.41666666666667
	compositionanim_idel:setDuration(compositionDuration)
	compositionanim_idel:setName("compositionanim_idel" )
	compositionanim_idel:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer big_finger.png/1
	element = CreateCompositionElement(PREFIX_PATH.."big_finger.png")
	element:setName("big_finger.png/1")
	compositionanim_idel:addElement(element)
	element:setHotSpot(3, 3)
	compositionanim_idel:registerParentInfo("big_finger.png/1", "kist_r.png/3")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 13.25)
	effector:setKey(_TRACK_Y, 0, 10.25)
	effector:setKey(_TRACK_X, 0.20833333333333, 12.4447500542908)
	effector:setKey(_TRACK_Y, 0.20833333333333, 11.2060714015885)
	effector:setKey(_TRACK_X, 1.29166666666667, 13.25)
	effector:setKey(_TRACK_Y, 1.29166666666667, 10.25)
	effector:setKey(_TRACK_X, 1.54166666666667, 13.25)
	effector:setKey(_TRACK_Y, 1.54166666666667, 10.25)
	effector:setKey(_TRACK_X, 1.66666666666667, 13.25)
	effector:setKey(_TRACK_Y, 1.66666666666667, 10.25)
	effector:setKey(_TRACK_X, 1.79166666666667, 13.25)
	effector:setKey(_TRACK_Y, 1.79166666666667, 10.25)
	effector:setKey(_TRACK_X, 1.95833333333333, 13.25)
	effector:setKey(_TRACK_Y, 1.95833333333333, 10.25)
	effector:setKey(_TRACK_X, 2.375, 13.25)
	effector:setKey(_TRACK_Y, 2.375, 10.25)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.29166666666667, 1)
	effector:setKey(_TRACK_SY, 1.29166666666667, 1)
	effector:setKey(_TRACK_SX, 1.54166666666667, 1)
	effector:setKey(_TRACK_SY, 1.54166666666667, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.79166666666667, 1)
	effector:setKey(_TRACK_SY, 1.79166666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0.35201882507023)
	effector:setKey(_TRACK_A, 0.20833333333333, -0.58087872322931)
	effector:setKey(_TRACK_A, 0.375, 0.04121488435224)
	effector:setKey(_TRACK_A, 1.29166666666667, 0)
	effector:setKey(_TRACK_A, 1.54166666666667, 0.23467921671349)
	effector:setKey(_TRACK_A, 1.66666666666667, 0.35201882507023)
	effector:setKey(_TRACK_A, 1.79166666666667, -0.25534354552458)
	effector:setKey(_TRACK_A, 1.95833333333333, 0.35201882507023)
	effector:setKey(_TRACK_A, 2.16666666666667, -0.31514940510165)
	effector:setKey(_TRACK_A, 2.375, 0.35201882507023)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.29166666666667, 1)
	effector:setKey(_TRACK_O, 1.54166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.79166666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer uk_finger.png/2
	element = CreateCompositionElement(PREFIX_PATH.."uk_finger.png")
	element:setName("uk_finger.png/2")
	compositionanim_idel:addElement(element)
	element:setHotSpot(6.5, 3.75)
	compositionanim_idel:registerParentInfo("uk_finger.png/2", "kist_r.png/3")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 12.25)
	effector:setKey(_TRACK_Y, 0, 17.75)
	effector:setKey(_TRACK_X, 0.375, 12.25)
	effector:setKey(_TRACK_Y, 0.375, 17.75)
	effector:setKey(_TRACK_X, 1.54166666666667, 12.25)
	effector:setKey(_TRACK_Y, 1.54166666666667, 17.75)
	effector:setKey(_TRACK_X, 1.66666666666667, 12.25)
	effector:setKey(_TRACK_Y, 1.66666666666667, 17.75)
	effector:setKey(_TRACK_X, 1.79166666666667, 12.25)
	effector:setKey(_TRACK_Y, 1.79166666666667, 17.75)
	effector:setKey(_TRACK_X, 1.95833333333333, 12.25)
	effector:setKey(_TRACK_Y, 1.95833333333333, 17.75)
	effector:setKey(_TRACK_X, 2.375, 12.25)
	effector:setKey(_TRACK_Y, 2.375, 17.75)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.375, 1)
	effector:setKey(_TRACK_SY, 0.375, 1)
	effector:setKey(_TRACK_SX, 1.54166666666667, 1)
	effector:setKey(_TRACK_SY, 1.54166666666667, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.79166666666667, 1)
	effector:setKey(_TRACK_SY, 1.79166666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.20833333333333, -0.59660475408625)
	effector:setKey(_TRACK_A, 0.375, -0.52842135361925)
	effector:setKey(_TRACK_A, 0.54166666666667, 0.14195126128233)
	effector:setKey(_TRACK_A, 0.70833333333333, -0.52842135361925)
	effector:setKey(_TRACK_A, 1.54166666666667, -0.05113755035025)
	effector:setKey(_TRACK_A, 1.66666666666667, 0)
	effector:setKey(_TRACK_A, 1.79166666666667, 0)
	effector:setKey(_TRACK_A, 1.95833333333333, 0)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.375, 1)
	effector:setKey(_TRACK_O, 1.54166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.79166666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer kist_r.png/3
	element = CreateCompositionElement(PREFIX_PATH.."kist_r.png")
	element:setName("kist_r.png/3")
	compositionanim_idel:addElement(element)
	element:setHotSpot(4.5, 2.75)
	compositionanim_idel:registerParentInfo("kist_r.png/3", "hand_r_2.png/7")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 4.25)
	effector:setKey(_TRACK_Y, 0, 20)
	effector:setKey(_TRACK_X, 1.29166666666667, 4.25)
	effector:setKey(_TRACK_Y, 1.29166666666667, 20)
	effector:setKey(_TRACK_X, 1.54166666666667, 4.25)
	effector:setKey(_TRACK_Y, 1.54166666666667, 20)
	effector:setKey(_TRACK_X, 1.66666666666667, 4.25)
	effector:setKey(_TRACK_Y, 1.66666666666667, 20)
	effector:setKey(_TRACK_X, 1.79166666666667, 4.25)
	effector:setKey(_TRACK_Y, 1.79166666666667, 20)
	effector:setKey(_TRACK_X, 1.95833333333333, 4.25)
	effector:setKey(_TRACK_Y, 1.95833333333333, 20)
	effector:setKey(_TRACK_X, 2.375, 4.25)
	effector:setKey(_TRACK_Y, 2.375, 20)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.29166666666667, 1)
	effector:setKey(_TRACK_SY, 1.29166666666667, 1)
	effector:setKey(_TRACK_SX, 1.54166666666667, 1)
	effector:setKey(_TRACK_SY, 1.54166666666667, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.79166666666667, 1)
	effector:setKey(_TRACK_SY, 1.79166666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.20833333333333, 0.22731839964461)
	effector:setKey(_TRACK_A, 0.375, 0.22731839964461)
	effector:setKey(_TRACK_A, 0.58333333333333, -0.1534812945921)
	effector:setKey(_TRACK_A, 1.29166666666667, 0)
	effector:setKey(_TRACK_A, 1.54166666666667, 0)
	effector:setKey(_TRACK_A, 1.66666666666667, 0)
	effector:setKey(_TRACK_A, 1.79166666666667, 0)
	effector:setKey(_TRACK_A, 1.95833333333333, 0)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.29166666666667, 1)
	effector:setKey(_TRACK_O, 1.54166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.79166666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer s_finger.png/4
	element = CreateCompositionElement(PREFIX_PATH.."s_finger.png")
	element:setName("s_finger.png/4")
	compositionanim_idel:addElement(element)
	element:setHotSpot(5, 4.5)
	compositionanim_idel:registerParentInfo("s_finger.png/4", "kist_r.png/3")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 8.25)
	effector:setKey(_TRACK_Y, 0, 18.5)
	effector:setKey(_TRACK_X, 0.20833333333333, 8.25)
	effector:setKey(_TRACK_Y, 0.20833333333333, 18.5)
	effector:setKey(_TRACK_X, 0.375, 8.25)
	effector:setKey(_TRACK_Y, 0.375, 18.5)
	effector:setKey(_TRACK_X, 0.58333333333333, 8.25)
	effector:setKey(_TRACK_Y, 0.58333333333333, 18.5)
	effector:setKey(_TRACK_X, 1.54166666666667, 8.25)
	effector:setKey(_TRACK_Y, 1.54166666666667, 18.5)
	effector:setKey(_TRACK_X, 1.66666666666667, 8.25)
	effector:setKey(_TRACK_Y, 1.66666666666667, 18.5)
	effector:setKey(_TRACK_X, 1.79166666666667, 8.25)
	effector:setKey(_TRACK_Y, 1.79166666666667, 18.5)
	effector:setKey(_TRACK_X, 1.95833333333333, 8.25)
	effector:setKey(_TRACK_Y, 1.95833333333333, 18.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.20833333333333, 1)
	effector:setKey(_TRACK_SY, 0.20833333333333, 1)
	effector:setKey(_TRACK_SX, 0.375, 1)
	effector:setKey(_TRACK_SY, 0.375, 1)
	effector:setKey(_TRACK_SX, 0.58333333333333, 1)
	effector:setKey(_TRACK_SY, 0.58333333333333, 1)
	effector:setKey(_TRACK_SX, 1.54166666666667, 1)
	effector:setKey(_TRACK_SY, 1.54166666666667, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.79166666666667, 1)
	effector:setKey(_TRACK_SY, 1.79166666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.20833333333333, 0)
	effector:setKey(_TRACK_A, 0.375, 0)
	effector:setKey(_TRACK_A, 0.45833333333333, 0.33429266786612)
	effector:setKey(_TRACK_A, 0.58333333333333, 0)
	effector:setKey(_TRACK_A, 1.54166666666667, 0)
	effector:setKey(_TRACK_A, 1.66666666666667, 0)
	effector:setKey(_TRACK_A, 1.79166666666667, 0)
	effector:setKey(_TRACK_A, 1.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.20833333333333, 1)
	effector:setKey(_TRACK_O, 0.375, 1)
	effector:setKey(_TRACK_O, 0.58333333333333, 1)
	effector:setKey(_TRACK_O, 1.54166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.79166666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:play()
 
 
	-- Layer hand_l_02.png/5
	element = CreateCompositionElement(PREFIX_PATH.."hand_l_02.png")
	element:setName("hand_l_02.png/5")
	compositionanim_idel:addElement(element)
	element:setHotSpot(14.75, 7.75)
	element:setParentElement(compositionanim_idel)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 597.5)
	effector:setKey(_TRACK_Y, 0, 350.75)
	effector:setKey(_TRACK_X, 0.20833333333333, 597.5)
	effector:setKey(_TRACK_Y, 0.20833333333333, 350.75)
	effector:setKey(_TRACK_X, 0.625, 597.5)
	effector:setKey(_TRACK_Y, 0.625, 350.75)
	effector:setKey(_TRACK_X, 1.54166666666667, 597.5)
	effector:setKey(_TRACK_Y, 1.54166666666667, 350.75)
	effector:setKey(_TRACK_X, 1.95833333333333, 597.5)
	effector:setKey(_TRACK_Y, 1.95833333333333, 350.75)
	effector:setKey(_TRACK_X, 2.375, 597.5)
	effector:setKey(_TRACK_Y, 2.375, 350.75)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.20833333333333, 1)
	effector:setKey(_TRACK_SY, 0.20833333333333, 1)
	effector:setKey(_TRACK_SX, 0.41666666666667, 0.77)
	effector:setKey(_TRACK_SY, 0.41666666666667, 1)
	effector:setKey(_TRACK_SX, 0.625, 1)
	effector:setKey(_TRACK_SY, 0.625, 1)
	effector:setKey(_TRACK_SX, 1.54166666666667, 1)
	effector:setKey(_TRACK_SY, 1.54166666666667, 1)
	effector:setKey(_TRACK_SX, 1.75, 0.77)
	effector:setKey(_TRACK_SY, 1.75, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.20833333333333, 0)
	effector:setKey(_TRACK_A, 0.41666666666667, 0.26174572949862)
	effector:setKey(_TRACK_A, 0.625, 0)
	effector:setKey(_TRACK_A, 1.54166666666667, 0)
	effector:setKey(_TRACK_A, 1.75, 0.26174572949862)
	effector:setKey(_TRACK_A, 1.95833333333333, 0)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.20833333333333, 1)
	effector:setKey(_TRACK_O, 0.625, 1)
	effector:setKey(_TRACK_O, 1.54166666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	local points = vector_Vector2f()
	local point_table = {{ x = 4.25, y = -3.5}, { x = 1.25, y = 6.5}, { x = 7.75, y = 8.25}, { x = 14.75, y = 10}, { x = 17, y = 6.25}, { x = 16.5, y = 1}, }
	for _, v in ipairs(point_table) do
	    points:push_back( Vector2f(v.x, v.y) )
	end
	local ver = vector_Vector2f()
	local index = vector_unsigned_short()
	triangulation(points, ver, index)
	
	local ro = CreateRenderedObject()
	ro:attachTo(element)
	ro:setPosition(-element:getPosition())
	ro:getSurface(0):setVertices(ver)
	ro:getSurface(0):setTexCoords(points)
	ro:getSurface(0):setIndices(index)
	element:setMaskObject(ro)
	element:setMaskInside(true)
 
 
	-- Layer hand_l_02.png/6
	element = CreateCompositionElement(PREFIX_PATH.."hand_l_02.png")
	element:setName("hand_l_02.png/6")
	compositionanim_idel:addElement(element)
	element:setHotSpot(25.5, 7)
	compositionanim_idel:registerParentInfo("hand_l_02.png/6", "gutari.png/8")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 101.25)
	effector:setKey(_TRACK_Y, 0, 60)
	effector:setKey(_TRACK_X, 0.16666666666667, 101.25)
	effector:setKey(_TRACK_Y, 0.16666666666667, 60)
	effector:setKey(_TRACK_X, 0.375, 101.25)
	effector:setKey(_TRACK_Y, 0.375, 60)
	effector:setKey(_TRACK_X, 0.58333333333333, 101.25)
	effector:setKey(_TRACK_Y, 0.58333333333333, 60)
	effector:setKey(_TRACK_X, 0.75, 101.25)
	effector:setKey(_TRACK_Y, 0.75, 60)
	effector:setKey(_TRACK_X, 0.91666666666667, 101.25)
	effector:setKey(_TRACK_Y, 0.91666666666667, 60)
	effector:setKey(_TRACK_X, 1.54166666666667, 101.25)
	effector:setKey(_TRACK_Y, 1.54166666666667, 60)
	effector:setKey(_TRACK_X, 1.66666666666667, 101.25)
	effector:setKey(_TRACK_Y, 1.66666666666667, 60)
	effector:setKey(_TRACK_X, 1.79166666666667, 101.25)
	effector:setKey(_TRACK_Y, 1.79166666666667, 60)
	effector:setKey(_TRACK_X, 1.91666666666667, 101.25)
	effector:setKey(_TRACK_Y, 1.91666666666667, 60)
	effector:setKey(_TRACK_X, 2, 101.25)
	effector:setKey(_TRACK_Y, 2, 60)
	effector:setKey(_TRACK_X, 2.125, 101.25)
	effector:setKey(_TRACK_Y, 2.125, 60)
	effector:setKey(_TRACK_X, 2.375, 101.25)
	effector:setKey(_TRACK_Y, 2.375, 60)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.16666666666667, 1)
	effector:setKey(_TRACK_SY, 0.16666666666667, 1)
	effector:setKey(_TRACK_SX, 0.375, 1.05076923076923)
	effector:setKey(_TRACK_SY, 0.375, 1)
	effector:setKey(_TRACK_SX, 0.58333333333333, 1)
	effector:setKey(_TRACK_SY, 0.58333333333333, 1)
	effector:setKey(_TRACK_SX, 0.75, 1.05076923076923)
	effector:setKey(_TRACK_SY, 0.75, 1)
	effector:setKey(_TRACK_SX, 0.91666666666667, 1)
	effector:setKey(_TRACK_SY, 0.91666666666667, 1)
	effector:setKey(_TRACK_SX, 1.54166666666667, 1)
	effector:setKey(_TRACK_SY, 1.54166666666667, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.79166666666667, 1.05076923076923)
	effector:setKey(_TRACK_SY, 1.79166666666667, 1)
	effector:setKey(_TRACK_SX, 1.91666666666667, 1)
	effector:setKey(_TRACK_SY, 1.91666666666667, 1)
	effector:setKey(_TRACK_SX, 2, 1.05076923076923)
	effector:setKey(_TRACK_SY, 2, 1)
	effector:setKey(_TRACK_SX, 2.125, 1)
	effector:setKey(_TRACK_SY, 2.125, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.16666666666667, 0.01855975604016)
	effector:setKey(_TRACK_A, 0.375, -0.0416352682906)
	effector:setKey(_TRACK_A, 0.58333333333333, 0)
	effector:setKey(_TRACK_A, 0.75, -0.0416352682906)
	effector:setKey(_TRACK_A, 0.91666666666667, 0.01855975604016)
	effector:setKey(_TRACK_A, 1.54166666666667, 0.01060557488009)
	effector:setKey(_TRACK_A, 1.66666666666667, 0.01855975604016)
	effector:setKey(_TRACK_A, 1.79166666666667, -0.0416352682906)
	effector:setKey(_TRACK_A, 1.91666666666667, 0)
	effector:setKey(_TRACK_A, 2, -0.0416352682906)
	effector:setKey(_TRACK_A, 2.125, 0.01855975604016)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.16666666666667, 1)
	effector:setKey(_TRACK_O, 0.375, 1)
	effector:setKey(_TRACK_O, 0.58333333333333, 1)
	effector:setKey(_TRACK_O, 0.75, 1)
	effector:setKey(_TRACK_O, 0.91666666666667, 1)
	effector:setKey(_TRACK_O, 1.54166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.79166666666667, 1)
	effector:setKey(_TRACK_O, 1.91666666666667, 1)
	effector:setKey(_TRACK_O, 2, 1)
	effector:setKey(_TRACK_O, 2.125, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	local points = vector_Vector2f()
	local point_table = {{ x = 4.25, y = -3.5}, { x = 1.25, y = 6.5}, { x = 7.75, y = 8.25}, { x = 14.75, y = 10}, { x = 17, y = 6.25}, { x = 16.5, y = 1}, }
	for _, v in ipairs(point_table) do
	    points:push_back( Vector2f(v.x, v.y) )
	end
	local ver = vector_Vector2f()
	local index = vector_unsigned_short()
	triangulation(points, ver, index)
	
	local ro = CreateRenderedObject()
	ro:attachTo(element)
	ro:setPosition(-element:getPosition())
	ro:getSurface(0):setVertices(ver)
	ro:getSurface(0):setTexCoords(points)
	ro:getSurface(0):setIndices(index)
	element:setMaskObject(ro)
	element:setMaskInside(false)
 
 
	-- Layer hand_r_2.png/7
	element = CreateCompositionElement(PREFIX_PATH.."hand_r_2.png")
	element:setName("hand_r_2.png/7")
	compositionanim_idel:addElement(element)
	element:setHotSpot(10.5, 4.25)
	compositionanim_idel:registerParentInfo("hand_r_2.png/7", "sleeve_r_2.png/11")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 6.5)
	effector:setKey(_TRACK_Y, 0, 52.75)
	effector:setKey(_TRACK_X, 1.29166666666667, 6.5)
	effector:setKey(_TRACK_Y, 1.29166666666667, 52.75)
	effector:setKey(_TRACK_X, 1.54166666666667, 6.58276494844633)
	effector:setKey(_TRACK_Y, 1.54166666666667, 56.0963246206221)
	effector:setKey(_TRACK_X, 1.66666666666667, 6.62424424387501)
	effector:setKey(_TRACK_Y, 1.66666666666667, 57.7734015734226)
	effector:setKey(_TRACK_X, 1.79166666666667, 6.5)
	effector:setKey(_TRACK_Y, 1.79166666666667, 52.75)
	effector:setKey(_TRACK_X, 1.95833333333333, 6.62424424387501)
	effector:setKey(_TRACK_Y, 1.95833333333333, 57.7734015734226)
	effector:setKey(_TRACK_X, 2.375, 6.5)
	effector:setKey(_TRACK_Y, 2.375, 52.75)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.29166666666667, 1)
	effector:setKey(_TRACK_SY, 1.29166666666667, 1)
	effector:setKey(_TRACK_SX, 1.54166666666667, 1)
	effector:setKey(_TRACK_SY, 1.54166666666667, 0.93999171229857)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 0.90998756844786)
	effector:setKey(_TRACK_SX, 1.79166666666667, 1)
	effector:setKey(_TRACK_SY, 1.79166666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 0.90998756844786)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1.29166666666667, 0)
	effector:setKey(_TRACK_A, 1.54166666666667, -1.10244581902982)
	effector:setKey(_TRACK_A, 1.66666666666667, -1.65366872854473)
	effector:setKey(_TRACK_A, 1.79166666666667, 0)
	effector:setKey(_TRACK_A, 1.95833333333333, -1.65366872854473)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.29166666666667, 1)
	effector:setKey(_TRACK_O, 1.54166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.79166666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer gutari.png/8
	element = CreateCompositionElement(PREFIX_PATH.."gutari.png")
	element:setName("gutari.png/8")
	compositionanim_idel:addElement(element)
	element:setHotSpot(75.75, 4.75)
	element:setParentElement(compositionanim_idel)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 582.75)
	effector:setKey(_TRACK_Y, 0, 294.75)
	effector:setKey(_TRACK_X, 1.29166666666667, 582.75)
	effector:setKey(_TRACK_Y, 1.29166666666667, 294.75)
	effector:setKey(_TRACK_X, 1.54166666666667, 582.75)
	effector:setKey(_TRACK_Y, 1.54166666666667, 294.75)
	effector:setKey(_TRACK_X, 1.66666666666667, 582.75)
	effector:setKey(_TRACK_Y, 1.66666666666667, 294.75)
	effector:setKey(_TRACK_X, 1.95833333333333, 582.75)
	effector:setKey(_TRACK_Y, 1.95833333333333, 294.75)
	effector:setKey(_TRACK_X, 2.375, 582.75)
	effector:setKey(_TRACK_Y, 2.375, 294.75)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.29166666666667, 1)
	effector:setKey(_TRACK_SY, 1.29166666666667, 1)
	effector:setKey(_TRACK_SX, 1.54166666666667, 1)
	effector:setKey(_TRACK_SY, 1.54166666666667, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1.29166666666667, 0)
	effector:setKey(_TRACK_A, 1.54166666666667, -0.01252779280644)
	effector:setKey(_TRACK_A, 1.66666666666667, -0.01879168920966)
	effector:setKey(_TRACK_A, 1.95833333333333, -0.01105393482921)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.29166666666667, 1)
	effector:setKey(_TRACK_O, 1.54166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer sleeve_l_2.png/9
	element = CreateCompositionElement(PREFIX_PATH.."sleeve_l_2.png")
	element:setName("sleeve_l_2.png/9")
	compositionanim_idel:addElement(element)
	element:setHotSpot(5, 7)
	element:setParentElement(compositionanim_idel)
	element:setXY(589, 300.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:play()
 
 
	-- Layer body.png/10
	element = CreateCompositionElement(PREFIX_PATH.."body.png")
	element:setName("body.png/10")
	compositionanim_idel:addElement(element)
	element:setHotSpot(63, 122.5)
	element:setParentElement(compositionanim_idel)
	element:setXY(563, 398.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:play()
 
 
	-- Layer sleeve_r_2.png/11
	element = CreateCompositionElement(PREFIX_PATH.."sleeve_r_2.png")
	element:setName("sleeve_r_2.png/11")
	compositionanim_idel:addElement(element)
	element:setHotSpot(18, 5.5)
	element:setParentElement(compositionanim_idel)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 541)
	effector:setKey(_TRACK_Y, 0, 308.5)
	effector:setKey(_TRACK_X, 1.29166666666667, 541)
	effector:setKey(_TRACK_Y, 1.29166666666667, 308.5)
	effector:setKey(_TRACK_X, 1.54166666666667, 541)
	effector:setKey(_TRACK_Y, 1.54166666666667, 308.5)
	effector:setKey(_TRACK_X, 1.66666666666667, 541)
	effector:setKey(_TRACK_Y, 1.66666666666667, 308.5)
	effector:setKey(_TRACK_X, 1.79166666666667, 541)
	effector:setKey(_TRACK_Y, 1.79166666666667, 308.5)
	effector:setKey(_TRACK_X, 1.95833333333333, 541)
	effector:setKey(_TRACK_Y, 1.95833333333333, 308.5)
	effector:setKey(_TRACK_X, 2.375, 541)
	effector:setKey(_TRACK_Y, 2.375, 308.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.29166666666667, 1)
	effector:setKey(_TRACK_SY, 1.29166666666667, 1)
	effector:setKey(_TRACK_SX, 1.54166666666667, 1)
	effector:setKey(_TRACK_SY, 1.54166666666667, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.79166666666667, 1)
	effector:setKey(_TRACK_SY, 1.79166666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1.29166666666667, 0)
	effector:setKey(_TRACK_A, 1.54166666666667, 0.08293113402675)
	effector:setKey(_TRACK_A, 1.66666666666667, 0.12439670104012)
	effector:setKey(_TRACK_A, 1.79166666666667, 0)
	effector:setKey(_TRACK_A, 1.95833333333333, 0.12439670104012)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.29166666666667, 1)
	effector:setKey(_TRACK_O, 1.54166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.79166666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer fase.png/12
	element = CreateCompositionElement(PREFIX_PATH.."fase.png")
	element:setName("fase.png/12")
	compositionanim_idel:addElement(element)
	element:setHotSpot(20.75, 35.5)
	element:setParentElement(compositionanim_idel)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:setKey(_TRACK_X, 0, 562.75)
	effector:setKey(_TRACK_Y, 0, 285.5)
	effector:setKey(_TRACK_X, 1.54166666666667, 562.75)
	effector:setKey(_TRACK_Y, 1.54166666666667, 285.5)
	effector:setKey(_TRACK_X, 1.66666666666667, 562.75)
	effector:setKey(_TRACK_Y, 1.66666666666667, 285.5)
	effector:setKey(_TRACK_X, 1.79166666666667, 562.75)
	effector:setKey(_TRACK_Y, 1.79166666666667, 285.5)
	effector:setKey(_TRACK_X, 1.95833333333333, 562.75)
	effector:setKey(_TRACK_Y, 1.95833333333333, 285.5)
	effector:setKey(_TRACK_X, 2.375, 562.75)
	effector:setKey(_TRACK_Y, 2.375, 285.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 1.54166666666667, 1)
	effector:setKey(_TRACK_SY, 1.54166666666667, 1)
	effector:setKey(_TRACK_SX, 1.66666666666667, 1)
	effector:setKey(_TRACK_SY, 1.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.79166666666667, 1)
	effector:setKey(_TRACK_SY, 1.79166666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.375, 1)
	effector:setKey(_TRACK_SY, 2.375, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.33333333333333, 0.14269696285238)
	effector:setKey(_TRACK_A, 1, 0.14269696285238)
	effector:setKey(_TRACK_A, 1.54166666666667, 0.03014646524774)
	effector:setKey(_TRACK_A, 1.66666666666667, -0.02612878355458)
	effector:setKey(_TRACK_A, 1.79166666666667, 0)
	effector:setKey(_TRACK_A, 1.95833333333333, -0.02612878355458)
	effector:setKey(_TRACK_A, 2.375, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.54166666666667, 1)
	effector:setKey(_TRACK_O, 1.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.79166666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.375, 1)
	effector:play()
 
 
	-- Layer shadow.png/13
	element = CreateCompositionElement(PREFIX_PATH.."shadow.png")
	element:setName("shadow.png/13")
	compositionanim_idel:addElement(element)
	element:setHotSpot(116, 96)
	element:setParentElement(compositionanim_idel)
	element:setXY(500.5, 437.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.41666666666667)
	effector:play()
 
	compositionanim_idel:play()
 
	return compositionanim_idel
end
 
createCompositionidel_1 = function()
	local compositionidel_1 = CreateCompositionSequence()
	local compositionDuration = 20.875
	compositionidel_1:setDuration(compositionDuration)
	compositionidel_1:setName("compositionidel_1" )
	compositionidel_1:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer hand_l.png/1
	element = CreateCompositionElement(PREFIX_PATH.."hand_l.png")
	element:setName("hand_l.png/1")
	compositionidel_1:addElement(element)
	element:setHotSpot(63.25, 3.75)
	element:setParentElement(compositionidel_1)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 20.875)
	effector:setKey(_TRACK_X, 0, 589.25)
	effector:setKey(_TRACK_Y, 0, 296.75)
	effector:setKey(_TRACK_X, 6.75, 589.25)
	effector:setKey(_TRACK_Y, 6.75, 296.75)
	effector:setKey(_TRACK_X, 20.8333333333333, 589.25)
	effector:setKey(_TRACK_Y, 20.8333333333333, 296.75)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 6.75, 1)
	effector:setKey(_TRACK_SY, 6.75, 1)
	effector:setKey(_TRACK_SX, 20.8333333333333, 1)
	effector:setKey(_TRACK_SY, 20.8333333333333, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 6.75, 0)
	effector:setKey(_TRACK_A, 10.9583333333333, 0.07792917681917)
	effector:setKey(_TRACK_A, 17.5416666666667, 0.07792917681917)
	effector:setKey(_TRACK_A, 20.8333333333333, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 6.75, 1)
	effector:setKey(_TRACK_O, 20.8333333333333, 1)
	effector:play()
 
 
	-- Layer fase.png/2
	element = CreateCompositionElement(PREFIX_PATH.."fase.png")
	element:setName("fase.png/2")
	compositionidel_1:addElement(element)
	element:setHotSpot(20.75, 35.5)
	element:setParentElement(compositionidel_1)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 20.875)
	effector:setKey(_TRACK_X, 0, 562.75)
	effector:setKey(_TRACK_Y, 0, 285.5)
	effector:setKey(_TRACK_X, 3.29166666666667, 562.75)
	effector:setKey(_TRACK_Y, 3.29166666666667, 285.5)
	effector:setKey(_TRACK_X, 6.70833333333333, 562.75)
	effector:setKey(_TRACK_Y, 6.70833333333333, 285.5)
	effector:setKey(_TRACK_X, 14.7916666666667, 562.75)
	effector:setKey(_TRACK_Y, 14.7916666666667, 285.5)
	effector:setKey(_TRACK_X, 18.875, 562.75)
	effector:setKey(_TRACK_Y, 18.875, 285.5)
	effector:setKey(_TRACK_X, 20.8333333333333, 562.75)
	effector:setKey(_TRACK_Y, 20.8333333333333, 285.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 3.29166666666667, 1)
	effector:setKey(_TRACK_SY, 3.29166666666667, 1)
	effector:setKey(_TRACK_SX, 6.70833333333333, 1)
	effector:setKey(_TRACK_SY, 6.70833333333333, 1)
	effector:setKey(_TRACK_SX, 14.7916666666667, 1)
	effector:setKey(_TRACK_SY, 14.7916666666667, 1)
	effector:setKey(_TRACK_SX, 18.875, 1)
	effector:setKey(_TRACK_SY, 18.875, 1)
	effector:setKey(_TRACK_SX, 20.8333333333333, 1)
	effector:setKey(_TRACK_SY, 20.8333333333333, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 3.29166666666667, 0)
	effector:setKey(_TRACK_A, 6.70833333333333, 0.19711450295747)
	effector:setKey(_TRACK_A, 14.7916666666667, 0.19711450295747)
	effector:setKey(_TRACK_A, 18.875, 0)
	effector:setKey(_TRACK_A, 20.8333333333333, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:setKey(_TRACK_O, 6.70833333333333, 1)
	effector:setKey(_TRACK_O, 14.7916666666667, 1)
	effector:setKey(_TRACK_O, 18.875, 1)
	effector:setKey(_TRACK_O, 20.8333333333333, 1)
	effector:play()
 
 
	-- Layer body.png/3
	element = CreateCompositionElement(PREFIX_PATH.."body.png")
	element:setName("body.png/3")
	compositionidel_1:addElement(element)
	element:setHotSpot(63, 122.5)
	element:setParentElement(compositionidel_1)
	element:setXY(563, 398.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 20.875)
	effector:play()
 
 
	-- Layer hand_r.png/4
	element = CreateCompositionElement(PREFIX_PATH.."hand_r.png")
	element:setName("hand_r.png/4")
	compositionidel_1:addElement(element)
	element:setHotSpot(13, 5)
	element:setParentElement(compositionidel_1)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 20.875)
	effector:setKey(_TRACK_X, 0, 538)
	effector:setKey(_TRACK_Y, 0, 309.25)
	effector:setKey(_TRACK_X, 2.66666666666667, 538)
	effector:setKey(_TRACK_Y, 2.66666666666667, 309.25)
	effector:setKey(_TRACK_X, 11.4583333333333, 538)
	effector:setKey(_TRACK_Y, 11.4583333333333, 309.25)
	effector:setKey(_TRACK_X, 15.7083333333333, 538)
	effector:setKey(_TRACK_Y, 15.7083333333333, 309.25)
	effector:setKey(_TRACK_X, 20.8333333333333, 538)
	effector:setKey(_TRACK_Y, 20.8333333333333, 309.25)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 2.66666666666667, 1)
	effector:setKey(_TRACK_SY, 2.66666666666667, 1)
	effector:setKey(_TRACK_SX, 11.4583333333333, 1)
	effector:setKey(_TRACK_SY, 11.4583333333333, 1)
	effector:setKey(_TRACK_SX, 15.7083333333333, 1)
	effector:setKey(_TRACK_SY, 15.7083333333333, 1)
	effector:setKey(_TRACK_SX, 20.8333333333333, 1)
	effector:setKey(_TRACK_SY, 20.8333333333333, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 2.66666666666667, -0.03017586610701)
	effector:setKey(_TRACK_A, 11.4583333333333, -0.03017586610701)
	effector:setKey(_TRACK_A, 15.7083333333333, 0)
	effector:setKey(_TRACK_A, 20.8333333333333, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 2.66666666666667, 1)
	effector:setKey(_TRACK_O, 11.4583333333333, 1)
	effector:setKey(_TRACK_O, 15.7083333333333, 1)
	effector:setKey(_TRACK_O, 20.8333333333333, 1)
	effector:play()
 
 
	-- Layer shadow.png/5
	element = CreateCompositionElement(PREFIX_PATH.."shadow.png")
	element:setName("shadow.png/5")
	compositionidel_1:addElement(element)
	element:setHotSpot(116, 96)
	element:setParentElement(compositionidel_1)
	element:setXY(500.5, 437.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 20.875)
	effector:play()
 
	compositionidel_1:play()
 
	return compositionidel_1
end
 
